VARKON Version 1.15 1997-10-24

> ## inint - Function

> Read integer from file
> Description
> Reads an integer string from an open file or pipe.
> Syntax
> inint(f, width)

> FILE | f;
> INT | width;

> Principal parameters

> f | - A filevariable accociated with a file open for read or update (R or U)

> Optional parameters

> width | - Number of characters to read. If not specified inint reads as many characters as needed.

> Return value
> The INT value read.
> Examples
> With the following line of data
> "1 2345ABC"
> consecutive calls to inint would read as follows.....
> inint(f) = 1
> inint(f, 2) = 2
> inint(f) = 345
> inint(f) = Undefined, error code in iostat()

VARKON Homepage | Index